/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PricingAsiento;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderPricingAsiento implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PricingAsiento pa = (PricingAsiento) o;

        Listcell lc = new Listcell();

        lc = new Listcell(pa.getNumeasiento());
        lc.setParent(lstm);
        
        lc = new Listcell(pa.getPorcentaje().toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", pa);
    }
}
